# cRecvPacket Class Reference

List of all members.

## Public Member Functions

DWORD | GetSequence ()
DWORD | GetFlags ()
DWORD | GetCRC ()
WORD | GetLogicalID ()
WORD | GetTime ()
WORD | GetTotalSize ()
WORD | GetTable ()
BYTE * | GetPayloadFront ()
BYTE * | GetPayload (WORD wOffset)
BYTE * | GetPayloadBack ()
void | CopyPayload (WORD wOffset, void *pDest, WORD wSize)
BYTE & | operator[] (int n)
int | GetPadding (BYTE *pbStart)

## Public Attributes

BYTE | m_bData [MAX_PACKET_SIZE]
WORD | m_wSize
SOCKADDR_IN | m_saSockAddr

The documentation for this class was generated from the following file:

- E:/uas2/Server/RecvPacket.h